
/*======================================================================
 * dirent directory routines for windows
 *======================================================================*/

#ifndef _DIRENT_H_
#define _DIRENT_H_

#ifndef FILENAME_MAX
#include <stdio.h>
#endif

#define MAXNAMLEN FILENAME_MAX

typedef long off_t;

typedef struct {
    int dd_fd;                  /* file descriptor (not used) */
    int dd_loc;                 /* offset in block */
    int dd_size;                /* amount of valid data */
    char *dd_buf;               /* directory block */
} DIR;                          /* stream data from opendir() */

struct dirent {
    long d_ino;                 /* i-node number of entry (not used) */
    off_t d_off;                /* offset of disk directory entry */
    unsigned short d_reclen;    /* length of this record */
    char d_name[MAXNAMLEN+1];   /* name of file */
};

extern DIR *opendir (char *);
extern struct dirent *readdir (DIR *);
extern long telldir (DIR *);
extern void seekdir (DIR *, long);
extern void closedir (DIR *);

#define rewinddir(dirp) seekdir(dirp, 0L)

#endif

